Prev () | [Home](Home) | [Manual](DocMain) | () Next
- - -
[TOC]
- - -

# Reporting Bugs

If you have found a bug file a bug report on the [Issues page](https://bitbucket.org/maproom/qmapshack/issues?status=new&status=open).
Make sure to include the all the information listed below to ease both your and our lifes.

**Consider fixing it yourself.** For example bad spelling, confusing names or explanations and bad translations can be fixed by everyone. Use Qt5 Linguist to edit the translations. Linguist will tell you the source file containing the string, too. By that you can change the original string in the source code. 

# **Required Information**

 1. The **operating system**
 2. The **software's version** (you find this in the menu "?" -> About)
 3. A **detailed report** about what is broken
 4. A **list of steps** required **for reproduction**
 5. Further information (depending on issue; these are examples):
    1. *application crash*: [A backtrace (if you are on Linux)](TroubleShooting#create-a-backtrace-of-a-crash-on-linux)
    2. *incorrect displaying*: A screenshot
    3. *failed loading of a file*: The file you tried to load**¹**
    4. *"strange" behaviour*: Describe the behavior you expected

## Additional Tips

 1. **Include everything required for fixing the bug within your report**, avoid untraceable references (such as `as discuessed on IRC`)
 1. Do **not assume anything**; we (most likely) don't know you at all
 2. Use to `Preview` button to ensure **correct formatting** (px. a missing newline can destroy your whole formatting)
 3. **Reread** your text **before submitting**, make sure there are no ambiguities

# Example

---
![example_bug_report.png](https://bitbucket.org/repo/L5qerE/images/2322176961-example_bug_report.png)

---

### Remarks (see example above)
 1. Use a **descriptive title**
 2. Do **not assign** the issue to anyone
 3. A bug is a bug, a proposal is a proposal - select the **correct kind**
 4. Include **steps** required to reproduce the bug
 5. Include a **screenshot** (if applicable)
 6. Include **version information** (for OS, QMS and packages used by QMS)
 7. Attach any **additional data** required to reproduce this bug**¹**

---

**¹** Some files may contain sensitive data you do not want to share with the world (for instance, .gpx can contain your heart rate and home location).

- - -
Prev () | [Home](Home) | [Manual](DocMain) | () Next
